Bug 761523 - Please backport s4u2proxy fixes from upstream trunk
Summary: Please backport s4u2proxy fixes from upstream trunk
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: krb5
Version: 6.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Nalin Dahyabhai
QA Contact: Jenny Severance
URL:
Whiteboard:
Depends On: 761317
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-08 14:35 UTC by Simo Sorce
Modified: 2012-06-20 14:26 UTC (History)
6 users (show)

Fixed In Version: krb5-1.9-26.el6
Doc Type: Bug Fix
Doc Text:
Clone Of: 761317
Environment:
Last Closed: 2012-06-20 14:26:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0921 0 normal SHIPPED_LIVE krb5 bug fix and enhancement update 2012-06-19 20:46:12 UTC

Description Simo Sorce 2011-12-08 14:35:49 UTC
+++ This bug was initially created as a clone of Bug #761317 +++

Please apply patches for upstream tickets number: 7046, 7047, 7048 to the krb5 packages.

These patches should apply cleanly to 1.9 and 1.10 without issues.

They are need for an upcoming version of IPA that uses s4u2proxy constrained delegation.

Please note that the upstream committed patch for 7048 is faulty, a fix should be committed shortly and will need to be incorporated as well.

Comment 5 Nalin Dahyabhai 2012-01-30 22:55:08 UTC
Merging patches into krb5-1.9-26.el6 and later.

Comment 11 errata-xmlrpc 2012-06-20 14:26:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0921.html


Note You need to log in before you can comment on or make changes to this bug.